/ comp / gb.opengl / gl / cullface
Gl.CullFace (gb.opengl)
Syntax

    STATIC SUB CullFace ( Mode AS Integer )

### Specify whether front- or back-facing facets can be culled

### Parameters

- Mode specifies whether front- or back-facing facets are candidates for culling. Symbolic constants Gl.GL_FRONT and Gl.GL_BACK are accepted. The default value is Gl.GL_BACK.

### Description

Gl.CullFace specifies whether front- or back-facing facets are culled (as specified by mode) when facet culling is enabled. Facet culling is enabled and disabled using the Gl.Enable and Gl.Disable commands with the argument Gl.GL_CULL_FACE. Facets include triangles, quadrilaterals, polygons, and rectangles. Gl.FrontFace specifies which of the clockwise and counterclockwise facets are front-facing and back-facing.

### Errors

Gl.GL_INVALID_ENUM is generated if Mode is not an accepted value.
Gl.GL_INVALID_OPERATION is generated if Gl.CullFace is called between a call to Gl.Begin and the corresponding call to Gl.End.

### Associated Gets

Gl.IsEnabled with argument Gl.GL_CULL_FACE
Gl.GetCullFaceMode

### See also

Gl.Enable , Gl.FrontFace